al_ustr_set_chr(3)

NAME

al_ustr_set_chr - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    size_t al_ustr_set_chr(ALLEGRO_USTR *us, int start_pos, int32_t c)

DESCRIPTION

Replace the code point beginning at byte offset start_pos with c. start_pos cannot be less than 0. If start_pos is past the end of us then the space between the end of the string and start_pos will be padded with NUL ('\0') bytes. If start_pos is not the start of a valid code point, that is an error and the string will be unmodified.

On success, returns the number of bytes written, i.e. the offset to the following code point. On error, returns 0.

SEE ALSO

al_ustr_replace_range(3)